import requests
import allure
import pytest
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("CRM-登录功能链路测试")
class TestDemo1():
    case_1 = [("admin",123456,0),("admin123",123456,500),("admin",12345,500)]
    @pytest.mark.parametrize("username,password,code",case_1)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("用户登录")
    @allure.story("用户登录：/login")
    def test_case_01(self,username,password,code):
        """
        登录接口：/login
        post
        {username:
        admin,
        password:
        123456}
        场景一：账号正确，密码正确  {"code":0,"Admin-Token":"fda72785cd1645e5b5aadc3b951e2272",……}
        场景二：账号错误，密码正确  {"code":500,"msg":"用户名或密码错误！"}
        场景三：账号正确，密码错误  {"code":500,"msg":"用户名或密码错误！"}
        """
        res = requests.post(url=rc.get_crmconfig()+'/login',data={"username":username,"password":password})
        print(res.text)
        assert res.status_code in (200,201,204)
        assert "code" in res.text



