import requests
import allure
import pytest
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("V-登录功能链路测试")
class TestDemo1():
    case_1 = [("sang",123,"success"),("sang123",123,"error"),("sang",123456,"error")]
    @pytest.mark.parametrize("username,password,status",case_1)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("用户登录")
    @allure.story("用户登录：/login")
    def test_case_01(self,username,password,status):
        """
        登录接口：/login
        post
        {username:
        sang,
        password:
        123}
        场景一：账号正确，密码正确
        场景二：账号错误，密码正确
        场景三：账号正确，密码错误
        """
        res = requests.post(url=rc.get_vconfig()+'/login',data={"username":username,"password":password})
        print(res.text)
        assert res.status_code in (200,201,204)
        assert status in res.text



