import requests
import allure
import pytest
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("V-获取列表信息功能链路测试")
class TestDemo3():
    @pytest.mark.run(order=1)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("获取文章列表的已发表列表")
    @allure.story("获取文章列表的已发表列表：/article/all?state=1&page=1&count=6&keywords=")
    def test_case_01(self,get_v_cookie):
        """
        获取文章列表的已发表列表接口：/article/all?state=1&page=1&count=6&keywords=
        get
        """
        res = requests.get(url=rc.get_vconfig()+"/article/all?state=1&page=1&count=6&keywords=",headers=get_v_cookie)
        print(res.text)
        assert res.status_code == 200
        assert "江南一点雨" in res.text

    @pytest.mark.run(order=2)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("获取文章列表的全部文章列表")
    @allure.story("获取文章列表的全部文章列表：/article/all?state=-1&page=1&count=6&keywords=")
    def test_case_02(self,get_v_cookie):
        """
        获取文章列表的全部文章列表接口：/article/all?state=-1&page=1&count=6&keywords=
        get
        """
        res = requests.get(url=rc.get_vconfig()+"/article/all?state=-1&page=1&count=6&keywords=",headers=get_v_cookie)
        print(res.text)
        assert res.status_code == 200
        assert "江南一点雨" in res.text

    @pytest.mark.run(order=3)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("获取文章列表的草稿箱列表")
    @allure.story("获取文章列表的草稿箱列表：/article/all?state=0&page=1&count=6&keywords=")
    def test_case_03(self,get_v_cookie):
        """
        获取文章列表的草稿箱列表接口：/article/all?state=0&page=1&count=6&keywords=
        get
        """
        res = requests.get(url=rc.get_vconfig()+"/article/all?state=0&page=1&count=6&keywords=",headers=get_v_cookie)
        print(res.text)
        assert res.status_code == 200
        assert "江南一点雨" in res.text

    @pytest.mark.run(order=4)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("获取文章列表的回收站列表")
    @allure.story("获取文章列表的回收站列表：/article/all?state=2&page=1&count=6&keywords=")
    def test_case_04(self,get_v_cookie):
        """
        获取文章列表的回收站列表接口：/article/all?state=2&page=1&count=6&keywords=
        get
        """
        res = requests.get(url=rc.get_vconfig()+"/article/all?state=2&page=1&count=6&keywords=",headers=get_v_cookie)
        print(res.text)
        assert res.status_code == 200
        assert "江南一点雨" in res.text



