import requests
import allure
import pytest
from config.readConfig import ReadConfig
rc = ReadConfig()

@allure.feature("V-新增文章功能链路测试")
class TestDemo4():
    test_case_data1 = [({"id":-1,"title":"风浪越大鱼越贵","mdContent":"买不起","htmlContent":"<p>请你吃鱼</p>",
                         "cid":62745,"state":1,"dynamicTags":"测试非必填"},{"status": "success"}),
                       ({"id":-1,"title":"速度与激情10之有田下山","mdContent":"没有悲欢只有离合",
                         "htmlContent":"<p>飙车</p>","cid":62761,"state":1},{"status": "success"})]
    @pytest.mark.parametrize("data,code",test_case_data1)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("新增文章")
    @allure.story("新增文章：/article/")
    def test_case_01(self,data,code,get_v_cookie):
        """
        新增文章接口：/article/
        post

        参数名  参数值  是否必填  描述说明
        {"id":-1,是 默认
        "title":"风浪越大鱼越贵" 是 标题
        "mdContent":"买不起"是
        "htmlContent":"<p>请你吃鱼</p>"是
        "cid":62745,是 默认
        "state":1, 是 新增文章类型
        "dynamicTags":" " 否
        }

        {
            "status": "success",
            "msg": "14100"
        }
        """
        res = requests.post(url=rc.get_vconfig()+'/article/',data=data,headers=get_v_cookie)
        print(res.text)
        assert res.status_code == 200
        assert code["status"] == res.json().get("status")



