import requests
import pytest
import allure
import time
from config.readConfig import ReadConfig
rc = ReadConfig()
null = None
false = False
import random
case_data_var = []
case_data_dict = dict()
name = "Pytest_"+str(time.time())
level = random.randint(1,12)      #数字1到12分别代表一年级到高三
levelName = "高三"
type = {"questionType5":{"title": f"{name}","analyze": f"{name}","correct": f"{name}",
        "score":random.randint(1,100) ,"difficult":random.randint(1,5)}}         #用于更新添加题目和添加试卷的data

@allure.feature("XZS-业务关联功能链路测试")
class TestXzsDemo5:
    @pytest.mark.run(order=1)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("添加学科")
    @allure.story("添加学科:/api/admin/education/subject/edit")
    def test_case_01(self,get_xzs_cookie):
        """
        添加学科接口：/api/admin/education/subject/edit
        post
        {"id":null,"name":"接口自动化","level":12,"levelName":"高三"}
        """
        data = {"id": null, "name": f"{name}", "level": level, "levelName": f"{levelName}"}
        res = requests.post(url=rc.get_xzsconfig()+"/api/admin/education/subject/edit",json=data,headers=get_xzs_cookie)
        print(res.text)
        assert res.status_code == 200
        assert '''"code":1,"message":"成功"''' in res.text

    @pytest.mark.run(order=2)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("查询学科")
    @allure.story("查询学科：/api/admin/education/subject/page")
    def test_case_02(self,get_xzs_cookie):
        """
        查询学科接口：/api/admin/education/subject/page
        post
        {"level":1,"pageIndex":1,"pageSize":10}
        """
        data = {"level": level, "pageIndex": 1, "pageSize": 10}
        res = requests.post(url=rc.get_xzsconfig()+'/api/admin/education/subject/page',json=data,headers=get_xzs_cookie)
        print(res.text)
        case_data_dict["test_case_02"] = {"id":res.json().get("response").get("list")[-1]["id"]}
        assert res.status_code == 200
        assert '''"code":1,"message":"成功"''' in res.text

    @pytest.mark.run(order=3)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("添加题目")
    @allure.story("添加题目:/api/admin/question/edit")
    def test_case_03(self,get_xzs_cookie):
        """
        添加题目接口：/api/admin/question/edit
        post
        {"id":null,"questionType":5,"gradeLevel":1,"subjectId":27,"title":"<p>我去千万千万千万</p>","items":[],
        "analyze":"111","correct":"不用不知道","score":1,"difficult":5}
        """
        data = {"id":null,"questionType":5,"gradeLevel":12,"subjectId":case_data_dict["test_case_02"]["id"],
                "title":"呜呜呜呜呜呜呜","items":[],"analyze":"对对对对对","correct":"不知道","score":1,"difficult":5}
        data.update(type["questionType5"])
        res = requests.post(url=rc.get_xzsconfig()+"/api/admin/question/edit",json=data,headers=get_xzs_cookie)
        print(res.text)
        assert res.status_code == 200
        assert '''"code":1,"message":"成功"''' in res.text

    @pytest.mark.run(order=4)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("添加试卷")
    @allure.story("添加试卷：/api/admin/exam/paper/edit")
    def test_case_04(self,get_xzs_cookie):
        """
        添加试卷接口：/api/admin/exam/paper/edit
        post
        {"id":null,"level":1,"subjectId":27,"paperType":6,"limitDateTime":[],"name":"接口自动化试题","suggestTime":"1",
        "titleItems":[{"name":"接口自动化","questionItems":[{"id":19,"questionType":5,"subjectId":27,"title":
        "<p>我去千万千万千万</p>","gradeLevel":1,"items":[],"analyze":"111","correctArray":null,"correct":"不用不知道",
        "score":"1","difficult":5,"itemOrder":null}]}]}
        """
        data = {"id":null,"level":level,"subjectId":case_data_dict["test_case_02"]["id"],"paperType":random.randint(1,3),
        "limitDateTime":[],"name":f"{name}","suggestTime":random.randint(1,100),"titleItems":[{"name":f"{name}",
        "questionItems":[{"id":19,"questionType":5,"subjectId":case_data_dict["test_case_02"]["id"],"title":"冲冲冲",
        "gradeLevel":1,"items":[],"analyze":"吃吃吃","correctArray":null,"correct":"来来来","score":"1","difficult":5,
        "itemOrder":null}]}]}
        res = requests.post(url=rc.get_xzsconfig()+"/api/admin/exam/paper/edit",json=data,headers=get_xzs_cookie)
        data.update(type["questionType5"])
        print(res.text)
        assert res.status_code == 200
        assert '''"code":1,"message":"成功"''' in res.text

    @pytest.mark.run(order=5)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("查询试卷")
    @allure.story("查询试卷：/api/admin/exam/paper/page")
    def test_case_05(self,get_xzs_cookie):
        """
        查询试卷接口：/api/admin/exam/paper/page
        post
        {"id":null,"level":12,"subjectId":27,"pageIndex":1,"pageSize":10}
        """
        data={"id":null,"level":level,"subjectId":case_data_dict["test_case_02"]["id"],
              "pageIndex":1,"pageSize":10}
        res = requests.post(url=rc.get_xzsconfig()+"/api/admin/exam/paper/page",json=data,headers=get_xzs_cookie)
        print(res.text)
        case_data_dict["test_case_05"] = {"id":res.json()["response"]["list"][-1]["id"]}
        assert res.status_code == 200
        assert '''"code":1,"message":"成功"''' in res.text

    @pytest.mark.run(order=6)
    @allure.severity(allure.severity_level.BLOCKER)
    @allure.title("删除试卷")
    @allure.story("删除试卷：/api/admin/exam/paper/delete/66")
    def test_case_06(self,get_xzs_cookie):
        """
        删除试卷接口：/api/admin/exam/paper/delete/66
        post
        {"code": 1, "message": "成功", "response": null}
        """
        res = requests.post(url=rc.get_xzsconfig()+f"/api/admin/exam/paper/delete/{case_data_dict['test_case_05']['id']}",
                            headers=get_xzs_cookie)
        print(res.text)
        assert res.status_code == 200
        assert '''"code":1,"message":"成功"''' in res.text



